import { LcdpRendererConfig } from '@fly-vue/lcdp-engine';
declare const _default: import("vue").DefineComponent<{
    payload: null;
    id: {
        default(): string;
    };
    config: null;
    mode: {
        default: string;
    };
    isMockMode: {
        type: BooleanConstructor;
    };
    width: null;
    height: null;
}, {
    __sfc: boolean;
    props: {
        payload?: Record<string, any> | undefined;
        id: string;
        config: LcdpRendererConfig;
        mode: 'normal' | 'iframe';
        isMockMode?: boolean | undefined;
        width?: number | undefined;
        height?: number | undefined;
    };
    vIf: import("vue").Ref<boolean>;
    refIframe: import("vue").Ref<any>;
    sendDataToIframe: (data: any) => Promise<void>;
    onIFrameLoaded: (func: () => void) => void;
    LcdpRenderer: import("vue").DefineComponent<{
        onRender: {
            type: import("vue").PropType<(context: any) => any>;
            required: boolean;
        };
        onRendered: {
            type: import("vue").PropType<(context: any) => any>;
            required: boolean;
        };
        payload: {
            type: (ObjectConstructor | StringConstructor)[];
            requried: boolean;
        };
        config: {
            type: import("vue").PropType<LcdpRendererConfig>;
        };
        ignoreMicroAppIdInQuery: {
            type: BooleanConstructor;
        };
    }, {
        isAdpativePage: import("vue").Ref<boolean>;
        comDef: import("vue").Ref<import("vue").DefineComponent<{
            onRender: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            onRendered: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
            };
        }, {
            preprocessed: import("vue").Ref<boolean>;
            compiledPage: any;
            compiledPageRef: any;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            onRender: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            onRendered: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
            };
        }>>, {}>>;
        masterPayload: any;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        onRender: {
            type: import("vue").PropType<(context: any) => any>;
            required: boolean;
        };
        onRendered: {
            type: import("vue").PropType<(context: any) => any>;
            required: boolean;
        };
        payload: {
            type: (ObjectConstructor | StringConstructor)[];
            requried: boolean;
        };
        config: {
            type: import("vue").PropType<LcdpRendererConfig>;
        };
        ignoreMicroAppIdInQuery: {
            type: BooleanConstructor;
        };
    }>>, {
        ignoreMicroAppIdInQuery: boolean;
    }>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
    payload: null;
    id: {
        default(): string;
    };
    config: null;
    mode: {
        default: string;
    };
    isMockMode: {
        type: BooleanConstructor;
    };
    width: null;
    height: null;
}>>, {
    id: string;
    mode: string;
    isMockMode: boolean;
}>;
export default _default;
