import { IMenuInfo } from '@fly-vue/lcdp-api';
import { Tree } from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
declare const _default: import("vue").DefineComponent<{
    data: null;
    theme: {
        default: string;
    };
}, {
    __sfc: boolean;
    props: {
        data: IMenuInfo[];
        theme: 'dark' | 'light';
    };
    refTree: import("vue").Ref<any>;
    emit: (event: "on-select" | "on-remove" | "on-add-child" | "on-drag", ...args: any[]) => void;
    onSelect: (node: any) => Promise<void>;
    onDrag: () => Promise<void>;
    addMenu: (menu: IMenuInfo) => void;
    remove: (menu: IMenuInfo) => Promise<void>;
    select: (id: string) => void;
    Tree: typeof Tree;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-remove" | "on-add-child" | "on-drag")[], string, Readonly<import("vue").ExtractPropTypes<{
    data: null;
    theme: {
        default: string;
    };
}>>, {
    theme: string;
}>;
export default _default;
