import { IDesignerComment } from '../designer-comment';
declare const _default: import("vue").DefineComponent<{
    list: null;
    selectedId: null;
    showPointers: {
        type: BooleanConstructor;
    };
    mode: {
        default: string;
    };
}, {
    __sfc: boolean;
    props: {
        list: IDesignerComment[];
        selectedId?: string | undefined;
        showPointers?: boolean | undefined;
        mode: 'detail' | 'list';
    };
    emit: (event: "on-close" | "on-select" | "on-blur" | "update:selectedId" | "update:mode" | "update:show" | "on-remove", ...args: any[]) => void;
    selectedId: import("vue").Ref<string | undefined> | import("vue").WritableComputedRef<string | undefined>;
    mode: import("vue").Ref<"list" | "detail"> | import("vue").WritableComputedRef<"list" | "detail">;
    showPointers: import("vue").Ref<boolean | undefined> | import("vue").WritableComputedRef<boolean | undefined>;
    selected: import("vue").ComputedRef<"" | IDesignerComment | undefined>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
    NoData: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/no-data.vue")>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    DesignerComment: import("vue").DefineComponent<{
        data: null;
        index: null;
        editing: {
            type: BooleanConstructor;
            default: boolean;
        };
        selected: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: {
            data: IDesignerComment;
            index?: number | undefined;
            editing: boolean;
            selected?: boolean | undefined;
        };
        emit: (event: "on-blur" | "on-remove" | "update:editing" | "update:data", ...args: any[]) => void;
        editing: import("vue").Ref<boolean> | import("vue").WritableComputedRef<boolean>;
        data: import("vue").Ref<{
            id: string;
            index: string | number;
            content: string;
        }> | import("vue").WritableComputedRef<IDesignerComment>;
        vm: {
            proxy: import("vue").default<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => import("vue").default<Record<string, any>, Record<string, any>, never, never, any>>;
        } | null;
        onBlur: (v?: string) => void;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
        RichTextEditor: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/rich-text-editor.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-blur" | "on-remove" | "update:editing" | "update:data")[], string, Readonly<import("vue").ExtractPropTypes<{
        data: null;
        index: null;
        editing: {
            type: BooleanConstructor;
            default: boolean;
        };
        selected: {
            type: BooleanConstructor;
        };
    }>>, {
        selected: boolean;
        editing: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-close" | "on-select" | "on-blur" | "update:selectedId" | "update:mode" | "update:show" | "on-remove")[], string, Readonly<import("vue").ExtractPropTypes<{
    list: null;
    selectedId: null;
    showPointers: {
        type: BooleanConstructor;
    };
    mode: {
        default: string;
    };
}>>, {
    mode: string;
    showPointers: boolean;
}>;
export default _default;
