import { IPlatform } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    platform: {
        default: string;
    };
}, {
    __sfc: boolean;
    props: {
        platform: IPlatform;
    };
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    option: {
        language: string;
        selectOnLineNumbers: boolean;
        readOnly: boolean;
        scrollbar: {
            useShadows: boolean;
            vertical: string;
            horizontal: string;
            horizontalSliderSize: number;
            verticalSliderSize: number;
            horizontalScrollbarSize: number;
            verticalScrollbarSize: number;
        };
        modelSetting: {
            indentSize: number;
            insertSpaces: boolean;
            tabSize: number;
            trimAutoWhitespace: boolean;
        };
        minimap: {
            enabled: boolean;
            showSlider: string;
            maxColumn: number;
        };
        extraLib: string;
    };
    script: import("vue").Ref<string>;
    loading: import("vue").Ref<boolean>;
    reload: () => Promise<void>;
    save: () => Promise<void>;
    cancel: () => void;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    platform: {
        default: string;
    };
}>>, {
    platform: string;
}>;
export default _default;
