import { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    title: {
        type: StringConstructor;
    };
    mode: {
        type: StringConstructor;
        required: true;
    };
    errorLogs: {
        type: NumberConstructor;
        default: number;
    };
    warnLogs: {
        type: NumberConstructor;
        default: number;
    };
    saving: {
        type: BooleanConstructor;
    };
    showSaveBtn: {
        type: BooleanConstructor;
        default: boolean;
    };
    service: {
        type: PropType<import("@fly-vue/lcdp-designer/@types/ui-designer/common/services").Service>;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        mode: string;
        showSaveBtn: boolean;
        saving: boolean;
        errorLogs: number;
        warnLogs: number;
    } & {
        service?: import("@fly-vue/lcdp-designer/@types/ui-designer/common/services").Service | undefined;
        title?: string | undefined;
    }>>>;
    mode: import("vue").Ref<string>;
    canPre: import("vue").ComputedRef<boolean | undefined>;
    canNext: import("vue").ComputedRef<boolean | undefined>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-click" | "on-show-error" | "on-show-warn" | "on-toggle-log")[], string, Readonly<import("vue").ExtractPropTypes<{
    title: {
        type: StringConstructor;
    };
    mode: {
        type: StringConstructor;
        required: true;
    };
    errorLogs: {
        type: NumberConstructor;
        default: number;
    };
    warnLogs: {
        type: NumberConstructor;
        default: number;
    };
    saving: {
        type: BooleanConstructor;
    };
    showSaveBtn: {
        type: BooleanConstructor;
        default: boolean;
    };
    service: {
        type: PropType<import("@fly-vue/lcdp-designer/@types/ui-designer/common/services").Service>;
    };
}>>, {
    showSaveBtn: boolean;
    saving: boolean;
    errorLogs: number;
    warnLogs: number;
}>;
export default _default;
