import { LcdpRendererConfig } from '@fly-vue/lcdp-engine';
declare const _default: import("vue").DefineComponent<{
    value: {
        type: BooleanConstructor;
    };
    payload: null;
    id: null;
    config: null;
    mode: null;
    panelSize: null;
    mobilePreviewUrl: null;
}, {
    __sfc: boolean;
    props: {
        value?: boolean | undefined;
        payload?: Record<string, any> | undefined;
        id?: string | undefined;
        config: LcdpRendererConfig;
        mode?: "iframe" | "normal" | undefined;
        panelSize?: any;
        mobilePreviewUrl?: string | undefined;
    };
    emit: (event: "input", ...args: any[]) => void;
    innerValue: import("vue").Ref<boolean | undefined> | import("vue").WritableComputedRef<boolean | undefined>;
    isMockMode: import("vue").Ref<any>;
    vIf: import("vue").Ref<boolean>;
    isDebug: import("vue").WritableComputedRef<boolean>;
    globalConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
    open: () => void;
    refresh: () => Promise<void>;
    copyPreviewUrl: () => void;
    isMobile: import("vue").ComputedRef<boolean>;
    linkPreviewUrl: import("vue").ComputedRef<string | null>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    DesignerPreviewer: import("vue").DefineComponent<{
        payload: null;
        id: {
            default(): string;
        };
        config: null;
        mode: {
            default: string;
        };
        isMockMode: {
            type: BooleanConstructor;
        };
        width: null;
        height: null;
    }, {
        __sfc: boolean;
        props: {
            payload?: Record<string, any> | undefined;
            id: string;
            config: LcdpRendererConfig;
            mode: "iframe" | "normal";
            isMockMode?: boolean | undefined;
            width?: number | undefined;
            height?: number | undefined;
        };
        vIf: import("vue").Ref<boolean>;
        refIframe: import("vue").Ref<any>;
        sendDataToIframe: (data: any) => Promise<void>;
        onIFrameLoaded: (func: () => void) => void;
        LcdpRenderer: import("vue").DefineComponent<{
            onRender: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            onRendered: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: (ObjectConstructor | StringConstructor)[];
                requried: boolean;
            };
            config: {
                type: import("vue").PropType<LcdpRendererConfig>;
            };
            ignoreMicroAppIdInQuery: {
                type: BooleanConstructor;
            };
        }, {
            isAdpativePage: import("vue").Ref<boolean>;
            comDef: import("vue").Ref<import("vue").DefineComponent<{
                onRender: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                onRendered: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                payload: {
                    type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                };
            }, {
                preprocessed: import("vue").Ref<boolean>;
                compiledPage: any;
                compiledPageRef: any;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                onRender: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                onRendered: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                payload: {
                    type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                };
            }>>, {}>>;
            masterPayload: any;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            onRender: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            onRendered: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: (ObjectConstructor | StringConstructor)[];
                requried: boolean;
            };
            config: {
                type: import("vue").PropType<LcdpRendererConfig>;
            };
            ignoreMicroAppIdInQuery: {
                type: BooleanConstructor;
            };
        }>>, {
            ignoreMicroAppIdInQuery: boolean;
        }>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        payload: null;
        id: {
            default(): string;
        };
        config: null;
        mode: {
            default: string;
        };
        isMockMode: {
            type: BooleanConstructor;
        };
        width: null;
        height: null;
    }>>, {
        id: string;
        mode: string;
        isMockMode: boolean;
    }>;
    MobilePreviewer: () => Promise<typeof import("./components/mobile-previewer.vue")>;
    QrCode: () => Promise<typeof import("../input/qr-code.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: BooleanConstructor;
    };
    payload: null;
    id: null;
    config: null;
    mode: null;
    panelSize: null;
    mobilePreviewUrl: null;
}>>, {
    value: boolean;
}>;
export default _default;
