import { JsonNode } from '@fly-vue/lcdp-designer';
import { IComponentAuth } from '@fly-vue/ide-core';
import { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    node: {
        type: PropType<JsonNode>;
    };
    service: {
        type: PropType<import("@fly-vue/lcdp-designer/@types/ui-designer/common/services").Service>;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
        service?: import("@fly-vue/lcdp-designer/@types/ui-designer/common/services").Service | undefined;
        node?: JsonNode | undefined;
    }>>>;
    isEnableAuth: import("vue").ComputedRef<boolean>;
    n: JsonNode & {
        auth: IComponentAuth;
    };
    originalAuth: any;
    auth: import("vue").Ref<{
        turnOn: boolean;
        requiredPermission?: string[] | undefined;
        forbiddenStatus: "invisible" | "disabled";
    }>;
    isRoot: boolean | undefined;
    normalAuth: import("vue").Ref<string[]>;
    extraAuth: import("vue").Ref<string[]>;
    extraAuthEnable: import("vue").Ref<boolean>;
    list: import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IAuthorityDef[]>;
    anonymous: any;
    save: () => void;
    reload: () => void;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    TextLink: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text-link.vue")>;
    SelectAuth: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-auth.vue")>;
    PropRow: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
            default: boolean;
        };
        title: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        PropTitle: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
            default: boolean;
        };
        title: {
            type: StringConstructor;
        };
    }>>, {
        itemsCenter: boolean;
    }>;
    PropTitle: import("vue").DefineComponent<{}, {
        __sfc: boolean;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
    node: {
        type: PropType<JsonNode>;
    };
    service: {
        type: PropType<import("@fly-vue/lcdp-designer/@types/ui-designer/common/services").Service>;
    };
}>>, {}>;
export default _default;
