import { IMetaProps } from '@fly-vue/lcdp-api';
import { ITreeOptions, ITreeNode } from '@fly-vue/ide-base';
declare const _default: import("vue").DefineComponent<{
    value: null;
    placeholder: {
        default: string;
    };
    modalTitle: {
        default: string;
    };
    disableInput: {
        type: BooleanConstructor;
    };
    valueUseId: {
        type: BooleanConstructor;
    };
    showClear: {
        type: BooleanConstructor;
    };
    treeOptions: null;
    service: null;
    isGetPageData: {
        type: BooleanConstructor;
    };
    selectPageData: null;
    showExpr: {
        type: BooleanConstructor;
        default: boolean;
    };
    isOnlyPackage: {
        type: BooleanConstructor;
    };
    isPackageSelectable: {
        type: BooleanConstructor;
    };
    pathPrefix: {
        default: string;
    };
}, {
    __sfc: boolean;
    props: {
        value?: string | undefined;
        placeholder: string;
        modalTitle: string;
        disableInput?: boolean | undefined;
        valueUseId?: boolean | undefined;
        showClear?: boolean | undefined;
        treeOptions?: ITreeOptions | undefined;
        service?: any;
        isGetPageData?: boolean | undefined;
        selectPageData?: string[] | undefined;
        showExpr: boolean;
        isOnlyPackage?: boolean | undefined;
        isPackageSelectable?: boolean | undefined;
        pathPrefix: string;
    };
    emit: (event: "input" | "on-select", ...args: any[]) => void;
    meta: IMetaProps;
    value: import("vue").Ref<string | undefined> | undefined;
    selected: import("vue").Ref<any>;
    isShow: import("vue").Ref<boolean>;
    keyword: import("vue").Ref<any>;
    refTree: import("vue").Ref<any>;
    def: ITreeOptions;
    appId: string | undefined;
    finalTreeOptions: import("vue").ComputedRef<ITreeOptions>;
    onSelect: (node: ITreeNode) => Promise<void>;
    clear: () => void;
    doReload: () => void;
    handleData: (tree: ITreeNode[]) => ITreeNode[];
    onLoaded: (list: ITreeNode[]) => void;
    MetaTree: () => Promise<typeof import("@fly-vue/ide-core/@types/components/meta/meta-tree/meta-tree.vue")>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
    SearchInput: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/search-input.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    LcModal: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/modal.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    ExprBtn: () => Promise<typeof import("./expr-btn.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-select")[], string, Readonly<import("vue").ExtractPropTypes<{
    value: null;
    placeholder: {
        default: string;
    };
    modalTitle: {
        default: string;
    };
    disableInput: {
        type: BooleanConstructor;
    };
    valueUseId: {
        type: BooleanConstructor;
    };
    showClear: {
        type: BooleanConstructor;
    };
    treeOptions: null;
    service: null;
    isGetPageData: {
        type: BooleanConstructor;
    };
    selectPageData: null;
    showExpr: {
        type: BooleanConstructor;
        default: boolean;
    };
    isOnlyPackage: {
        type: BooleanConstructor;
    };
    isPackageSelectable: {
        type: BooleanConstructor;
    };
    pathPrefix: {
        default: string;
    };
}>>, {
    showExpr: boolean;
    isGetPageData: boolean;
    isOnlyPackage: boolean;
    isPackageSelectable: boolean;
    placeholder: string;
    modalTitle: string;
    disableInput: boolean;
    valueUseId: boolean;
    showClear: boolean;
    pathPrefix: string;
}>;
export default _default;
