import { PropType } from 'vue';
import { IEntity, IMetaProps } from '@fly-vue/lcdp-api';
import { IJson } from '../designer/extend/components/meta-dynamic-entity-form/type';
declare const _default: import("vue").DefineComponent<{
    entityName: {
        type: StringConstructor;
    };
    meta: {
        type: PropType<IMetaProps>;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
        meta?: IMetaProps | undefined;
        entityName?: string | undefined;
    }>>>;
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    selectedEntity: import("vue").Ref<string | undefined>;
    entity: import("vue").Ref<IEntity | undefined>;
    tabs: import("vue").Ref<any>;
    loading: import("vue").Ref<boolean>;
    selectedTab: import("vue").Ref<any>;
    listContainer: import("vue").Ref<any>;
    submitting: import("vue").Ref<boolean>;
    appId: string | undefined;
    templateList: import("vue").Ref<{
        label: string;
        component: any;
        disabled: boolean;
        idPrefix?: string | undefined;
        idAppend?: string | undefined;
        params: Record<string, any>;
    }[]>;
    onTabRemove: (name: string) => void;
    onChangeEntity: (e: IEntity) => Promise<void>;
    isDataValid: import("vue").ComputedRef<boolean>;
    wrapWfForm: (template: IJson) => void;
    submit: () => Promise<void>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    Loading: () => Promise<typeof import("@fly-vue/ide-base/@types/components/info/loading.vue")>;
    FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    SelectEntity: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-entity.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    entityName: {
        type: StringConstructor;
    };
    meta: {
        type: PropType<IMetaProps>;
    };
}>>, {}>;
export default _default;
