import { IMetaObject, IMetaPackage, Groups } from '@fly-vue/lcdp-api';
import { IListOptions } from '@fly-vue/ide-base';
declare const _default: import("vue").DefineComponent<{
    package1: null;
}, {
    __sfc: boolean;
    props: {
        package1?: any;
    };
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    listOptions: IListOptions;
    package1: import("vue").Ref<any> | undefined;
    startedScroll: import("vue").Ref<boolean>;
    refInput: import("vue").Ref<any>;
    data: any;
    isDataValid: import("vue").ComputedRef<any>;
    fileName: (rule: any, value: string, cb: any) => any;
    required: (rule: any, value: string, cb: any) => any;
    onValidate: (props: any, status: any, error: any) => void;
    appId: string | undefined;
    folders: import("vue").Ref<{
        objects: {
            data?: any;
            id?: string | undefined;
            name: string;
            packageName: string;
            title: string;
        }[];
        packages: any[];
        id?: string | undefined;
        name: string;
        packageName: string;
        title: string;
    }[]>;
    discoverFolders: import("vue").Ref<{
        objects: {
            data?: any;
            id?: string | undefined;
            name: string;
            packageName: string;
            title: string;
        }[];
        packages: any[];
        id?: string | undefined;
        name: string;
        packageName: string;
        title: string;
    }[]>;
    supportedPlatforms: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IPlatform[]>;
    supportedPlatformItems: import("vue").ComputedRef<import("@fly-vue/ide-core").IPlatformItem[]>;
    platform: import("vue").Ref<import("@fly-vue/lcdp-api").IPlatform>;
    loaded: import("vue").Ref<boolean>;
    selectedLocalFolderId: import("vue").Ref<string | undefined>;
    selectedFolderId: import("vue").Ref<string | undefined>;
    keyword: import("vue").Ref<string | undefined>;
    selectedTemplate: import("vue").Ref<(IMetaObject<any> & {
        versionId?: string | undefined;
        icon?: string | undefined;
    }) | undefined>;
    selectedTemplateJson: Record<string, any>;
    currentTemplateJson: import("vue").Ref<any>;
    vIf: import("vue").Ref<boolean>;
    config: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
    fixFolders: any[];
    reload: () => Promise<void>;
    reloadTemplates: () => Promise<void>;
    reloadDiscover: () => Promise<void>;
    onSelectTemplate: (template?: IMetaObject<any> | undefined) => void;
    save: () => Promise<void>;
    onShowFolderId: import("@vueuse/shared").PromisifyFn<(id: any) => void>;
    scrollTo: () => Promise<void>;
    getFolderTemplates: (folder: IMetaPackage) => IMetaObject<any>[];
    localTemplates: import("vue").ComputedRef<IMetaObject<any>[]>;
    finalDiscoverFolders: import("vue").ComputedRef<IMetaPackage[]>;
    Groups: typeof Groups;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    List: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/list/list.vue")>;
    NoData: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/no-data.vue")>;
    LcImage: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/image.vue")>;
    Observable: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/observable.vue")>;
    LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
    LcFormItem: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-item.vue")>;
    FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    SelectableTag: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/selectable-tag.vue")>;
    SearchInput: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/search-input.vue")>;
    PreviewCard: () => Promise<typeof import("../preview/preview-card.vue")>;
    PreviewLowcodePage: () => Promise<typeof import("../preview/preview-lowcode-page.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    package1: null;
}>>, {}>;
export default _default;
