declare const _default: import("vue").DefineComponent<{
    payload: {
        type: ObjectConstructor;
        required: true;
    };
    scale: {
        type: NumberConstructor;
        default: number;
    };
    enableOpenPreviewDialog: {
        type: BooleanConstructor;
    };
    enabledEdit: {
        type: BooleanConstructor;
    };
    padding: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        payload: Record<string, any>;
        padding: boolean;
        scale: number;
        enableOpenPreviewDialog: boolean;
        enabledEdit: boolean;
    } & {}>>>;
    emit: (event: "on-loaded", ...args: any[]) => void;
    loaded: import("vue").Ref<boolean>;
    rendererConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
    finalPayload: import("vue").ComputedRef<any>;
    onRendered: () => void;
    open: () => void;
    LcdpRenderer: import("vue").DefineComponent<{
        onRender: {
            type: import("vue").PropType<(context: any) => any>;
            required: boolean;
        };
        onRendered: {
            type: import("vue").PropType<(context: any) => any>;
            required: boolean;
        };
        payload: {
            type: (ObjectConstructor | StringConstructor)[];
            requried: boolean;
        };
        config: {
            type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
        };
        ignoreMicroAppIdInQuery: {
            type: BooleanConstructor;
        };
    }, {
        isAdpativePage: import("vue").Ref<boolean>;
        comDef: import("vue").Ref<import("vue").DefineComponent<{
            onRender: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            onRendered: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
            };
        }, {
            preprocessed: import("vue").Ref<boolean>;
            compiledPage: any;
            compiledPageRef: any;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            onRender: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            onRendered: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
            };
        }>>, {}>>;
        masterPayload: any;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        onRender: {
            type: import("vue").PropType<(context: any) => any>;
            required: boolean;
        };
        onRendered: {
            type: import("vue").PropType<(context: any) => any>;
            required: boolean;
        };
        payload: {
            type: (ObjectConstructor | StringConstructor)[];
            requried: boolean;
        };
        config: {
            type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
        };
        ignoreMicroAppIdInQuery: {
            type: BooleanConstructor;
        };
    }>>, {
        ignoreMicroAppIdInQuery: boolean;
    }>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-loaded"[], string, Readonly<import("vue").ExtractPropTypes<{
    payload: {
        type: ObjectConstructor;
        required: true;
    };
    scale: {
        type: NumberConstructor;
        default: number;
    };
    enableOpenPreviewDialog: {
        type: BooleanConstructor;
    };
    enabledEdit: {
        type: BooleanConstructor;
    };
    padding: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    padding: boolean;
    scale: number;
    enableOpenPreviewDialog: boolean;
    enabledEdit: boolean;
}>;
export default _default;
