import designerConfig from './components/designer/designer-config';
import { designerStore } from './store';
declare const ComponentAddForm: () => Promise<typeof import("./components/block/component-add-form.vue")>;
declare const DesignerComponentsDiscover: () => Promise<typeof import("./components/designer/components/designer-components-discover.vue")>;
declare const DesignerComponents: () => Promise<typeof import("./components/designer/components/designer-components.vue")>;
declare const DesignerDatasource: () => Promise<typeof import("./components/designer/components/designer-datasource.vue")>;
declare const DesignerFunctions: () => Promise<typeof import("./components/designer/components/designer-functions.vue")>;
declare const DesignerOutline: () => Promise<typeof import("./components/designer/components/designer-outline.vue")>;
declare const MobilePreviewer: () => Promise<typeof import("./components/designer/components/mobile-previewer.vue")>;
declare const NoDesignerOpenedWarning: () => Promise<typeof import("./components/designer/components/no-designer-opened-warning.vue")>;
declare const DesignerHeaderBtn: () => Promise<typeof import("./components/designer/designer-header-btn.vue")>;
declare const DesignerLogger: () => Promise<typeof import("./components/designer/designer-logger.vue")>;
declare const Designer: () => Promise<typeof import("./components/designer/designer.vue")>;
declare const MetaDynamicEntityForm: () => Promise<typeof import("./components/designer/extend/components/meta-dynamic-entity-form/meta-dynamic-entity-form.vue")>;
declare const PropDefaultFields: () => Promise<typeof import("./components/designer/extend/components/meta-dynamic-entity-form/prop-default-fields.vue")>;
declare const MockModeToggle: () => Promise<typeof import("./components/designer/extend/mock-mode-toggle.vue")>;
declare const PageMasterAttrEdit: () => Promise<typeof import("./components/designer/extend/page-master-attr-edit.vue")>;
declare const Tmpls: () => Promise<typeof import("./components/designer/extend/tmpls.vue")>;
declare const LayoutDesigner: () => Promise<typeof import("./components/layout/layout-designer.vue")>;
declare const SubSystemDesigner: () => Promise<typeof import("./components/layout/sub-system-designer.vue")>;
declare const CreateEntityPage: () => Promise<typeof import("./components/list/create-entity-page.vue")>;
declare const ModuleDataManager: () => Promise<typeof import("./components/list/module-data-manager.vue")>;
declare const LazyPreviewLowcodePage: () => Promise<typeof import("./components/preview/lazy-preview-lowcode-page.vue")>;
declare const PreviewCard: () => Promise<typeof import("./components/preview/preview-card.vue")>;
declare const PreviewLowcodePage: () => Promise<typeof import("./components/preview/preview-lowcode-page.vue")>;
declare const ModuleWelcome: () => Promise<typeof import("./components/welcome/module-welcome.vue")>;
declare const DiscoverBlocks: () => Promise<typeof import("./components/block/discover-blocks.vue")>;
declare const ComponentUpdateForm: () => Promise<typeof import("./components/block/component-update-form.vue")>;
declare const GroupBlocks: () => Promise<typeof import("./components/block/group-blocks.vue")>;
declare const QrCode: () => Promise<typeof import("./components/input/qr-code.vue")>;
declare const ExprBtn: () => Promise<typeof import("./components/input/expr-btn.vue")>;
export { designerConfig, designerStore, QrCode, GroupBlocks, ExprBtn, ComponentUpdateForm, DiscoverBlocks, PreviewLowcodePage, LazyPreviewLowcodePage, PreviewCard, ModuleDataManager, LayoutDesigner, SubSystemDesigner, ModuleWelcome, DesignerLogger, DesignerHeaderBtn, PageMasterAttrEdit, MockModeToggle, MetaDynamicEntityForm, PropDefaultFields, DesignerComponents, DesignerOutline, ComponentAddForm, CreateEntityPage, Tmpls, DesignerFunctions, DesignerDatasource, MobilePreviewer, DesignerComponentsDiscover, Designer, NoDesignerOpenedWarning };
